AbsExecBase	      EQU   4
TRUE		      EQU   1
FALSE		      EQU   0
LIBVERSION	      EQU   $21
UNIT_VBLANK	      EQU   1

* Exec
_LVOObtainSemaphore   EQU  -$234
_LVOReleaseSemaphore  EQU  -$23a
_LVOForbid	      EQU  -$84
_LVOPermit	      EQU  -$8a
_LVOSetSignal	      EQU  -$132
_LVOCheckIO	      EQU  -$1d4
_LVOWaitIO	      EQU  -$1da
_LVOSendIO	      EQU  -$1ce
_LVODoIO	      EQU  -$1c8
_LVOGetMsg	      EQU  -$174
_LVOPutMsg	      EQU  -$16e
_LVOWaitPort	      EQU  -$180
_LVOWait	      EQU  -$13e
_LVOSignal	      EQU  -$144
_LVOReplyMsg	      EQU  -$17a
_LVOFreeMem	      EQU  -$d2
_LVOAllocMem	      EQU  -$c6
_LVOFindPort	      EQU  -$186
_LVOAllocSignal       EQU  -$14a
_LVOFreeSignal	      EQU  -$150
_LVOOpenDevice	      EQU  -$1bc
_LVOCloseDevice       EQU  -$1c2
_LVOInitSemaphore     EQU  -$22e
_LVOSetFunction       EQU  -$1a4
_LVOOpenLibrary       EQU  -$228
_LVOCloseLibrary      EQU  -$19e
_LVOAddPort	      EQU  -$162
_LVORemPort	      EQU  -$168
_LVOSetTaskPri	      EQU  -$12c

* Layer
_LVOLockLayers	      EQU  -$6c
_LVOUnlockLayers      EQU  -$72

* Intuition
_LVOItemAddress       EQU  -$90
_LVOLockIBase	      EQU  -$19e
_LVOUnlockIBase       EQU  -$1a4
_LVOCurrentTime       EQU  -$54
_LVOActivateWindow    EQU  -$1c2
_LVOIntuiTextLength   EQU  -$14a
_LVOPrintIText	      EQU  -$d8
_LVODrawImage	      EQU  -$72
_LVOAllocRemember     EQU  -$18c
_LVOFreeRemember      EQU  -$198
_LVOSetMenuStrip      EQU  -$108
_LVOClearMenuStrip    EQU  -$36
_LVOOnMenu	      EQU  -$c0
_LVOOffMenu	      EQU  -$b4
_LVODisplayBeep       EQU  -$60

* Graphics
_LVOInitRastPort      EQU  -$c6
_LVOSetFont	      EQU  -$42
_LVOTextLength	      EQU  -$36
_LVOSetDrMd	      EQU  -$162
_LVOSetAPen	      EQU  -$156
_LVORectFill	      EQU  -$132
_LVOInitBitMap	      EQU  -$186
_LVOAllocRaster       EQU  -$1ec
_LVOFreeRaster	      EQU  -$1f2
_LVOBltBitMap	      EQU  -$1e
_LVOMove	      EQU  -$f0
_LVODraw	      EQU  -$f6
_LVOText	      EQU  -$3c

* Dos
_LVOWrite	      EQU  -$30
_LVOUnLoadSeg	      EQU  -$9c
_LVODelay	      EQU  -$c6
_LVOOpen	      EQU  -$1e
_LVOClose	      EQU  -$24
_LVOOutput	      EQU  -$3c
_LVOCurrentDir	      EQU  -$7e

* Icon
_LVOGetDiskObject     EQU  -$4e
_LVOFreeDiskObject    EQU  -$5a
_LVOFindToolTypes     EQU  -$60

MODE_OLDFILE	      EQU   1005
**** Screen ****
sc_LayerInfo	      EQU   $00E0
sc_MouseX	      EQU   $0012
sc_MouseY	      EQU   $0010
sc_ViewPort	      EQU   $002C
sc_RastPort	      EQU   $002C+$0028
sc_FirstWindow	      EQU   $0004
sc_BitMap	      EQU   $00B8
sc_Height	      EQU   $000E
sc_Width	      EQU   $000C
sc_BarHeight	      EQU   $001E

**** ViewPort ****
vp_Modes	      EQU   $0020

**** Window ****
wd_Flags	      EQU   $0018
wd_MenuStrip	      EQU   $001C
wd_ReqCount	      EQU   $002C
wd_WScreen	      EQU   $002E
wd_FirstGadget	      EQU   $003e
wd_IDCMPFlags	      EQU   $0052
wd_UserPort	      EQU   $0056
wd_DetailPen	      EQU   $0062
wd_BlockPen	      EQU   $0063
wd_CheckMark	      EQU   $0064

**** Gadget ****
gg_Flags	      EQU   $000c
gg_GadgetType	      EQU   $0010

**** RastPort ****
rp_Font 	      EQU   $0034
rp_BitMap	      EQU   $0004
rp_TxHeight	      EQU   $003A
rp_AOlPen	      EQU   $001B
rp_Flags	      EQU   $0020
rp_TxWidth	      EQU   $003C
rp_AreaPtrn	      EQU   $0008
rp_AreaPtSz	      EQU   $001D
rp_SIZEOF	      EQU   $0064

IO_COMMAND	      EQU   $001C
IOTV_TIME	      EQU   $0020
TV_SECS 	      EQU   $0000
TV_MICRO	      EQU   $0004

**** ExecBase ****
eb_ThisTask	      EQU   $0114

**** Process *****
pr_MsgPort	      EQU   $005c
pr_CLI		      EQU   $00ac

**** IntuitionBase ****
ib_FirstScreen	      EQU   $003C
ib_ActiveScreen       EQU   $0038
ib_ActiveWindow       EQU   $0034

**** IntuiMessage ****
im_ExecMessage	      EQU   $0000
im_Class	      EQU   $0014
im_Code 	      EQU   $0018
im_IDCMPWindow	      EQU   $002C
im_Seconds	      EQU   $0024
im_Micros	      EQU   $0028
im_SIZEOF	      EQU   $0034

*** Message ****
mn_Node 	      EQU   $0000
mn_Length	      EQU   $0012
mn_ReplyPort	      EQU   $000E

**** SignalSemaphore ****
ss_Link 	      EQU   $0000
ss_SIZEOF	      EQU   $002e

**** Node ****
ln_Type 	      EQU   $0008
ln_Pri		      EQU   $0009
ln_Name 	      EQU   $000A

**** MsgPort ****
mp_Node 	      EQU   $0000
mp_Flags	      EQU   $000E
mp_SigBit	      EQU   $000F
mp_SigTask	      EQU   $0010
mp_SIZEOF	      EQU   $0022

**** MenuItem ****
mi_NextSelect	      EQU   $0020
mi_TopEdge	      EQU   $0006
mi_Height	      EQU   $000A
mi_LeftEdge	      EQU   $0004
mi_Width	      EQU   $0008
mi_ItemFill	      EQU   $0012
mi_SelectFill	      EQU   $0016
mi_Flags	      EQU   $000C
mi_SubItem	      EQU   $001C
mi_Command	      EQU   $001A
mi_MutualExclude      EQU   $000E

**** Menu ****
mu_NextMenu	      EQU   $0000
mu_LeftEdge	      EQU   $0004
mu_Width	      EQU   $0008
mu_Flags	      EQU   $000C
mu_MenuName	      EQU   $000E
mu_FirstItem	      EQU   $0012

**** BitMap ****
bm_Depth	      EQU   $0005
bm_Planes	      EQU   $0008

**** IntuiText ****
it_LeftEdge	      EQU   $0004
it_TopEdge	      EQU   $0006
it_ITextFont	      EQU   $0008
it_IText	      EQU   $000C
it_NextText	      EQU   $0010

**** Image ****
ig_TopEdge	      EQU   $0002
ig_Width	      EQU   $0004
ig_Height	      EQU   $0006
ig_NextImage	      EQU   $0010
ig_SIZEOF	      EQU   $0014

ta_YSize	      EQU   $0004

***** Remember ********
rm_NextRemember       EQU   $0000
rm_SIZEOF	      EQU   $000c

IECLASS_MENULIST      EQU   $0A
IECLASS_RAWMOUSE      EQU   $02
IECLASS_RAWKEY	      EQU   $01

MENUDOWN	      EQU   $0069
MENUUP		      EQU   $00E9
SELECTDOWN	      EQU   $0068
SELECTUP	      EQU   $00E8

IEQUALIFIER_LSHIFT    EQU   $0001
IEQUALIFIER_RSHIFT    EQU   $0002
IEQUALIFIER_CONTROL   EQU   $0008
IEQUALIFIER_LALT      EQU   $0010
IEQUALIFIER_RALT      EQU   $0020
IEQUALIFIER_LCOMMAND  EQU   $0040
IEQUALIFIER_RCOMMAND  EQU   $0080
IEQUALIFIER_MIDBUTTON EQU   $1000
IEQUALIFIER_LEFTBUTTON	  EQU	$4000

**** InputEvent ****
ie_Class	      EQU   $0004
ie_Code 	      EQU   $0006
ie_Qualifier	      EQU   $0008
ie_EventAddress       EQU   $000A
ie_TimeStamp	      EQU   $000E
ie_SIZEOF	      EQU   $16

**** interrupt *****
is_Node 	      EQU   $0000
is_Data 	      EQU   $000E
is_Code 	      EQU   $0012
is_SIZEOF	      EQU   $0016

**** IoStdReq *****
io_Message	      EQU   $0000
io_Command	      EQU   $001C
io_Data 	      EQU   $0028
io_SIZEOF	      EQU   $0030

**** timerrequest ****
tr_Node 	      EQU   $0000
tr_SIZEOF	      EQU   $0028

***** Workbench ********
sm_ArgList	      EQU   $0024

***** Workbenchargs ****
wa_Lock 	      EQU   $0000
wa_Name 	      EQU   $0004

***** Disk object *****
do_ToolTypes	      EQU   $0036

TR_ADDREQUEST	      EQU   $0009
IND_WRITEEVENT	      EQU   $000B

IO_FLAGS	      EQU   $001E
IO_LENGTH	      EQU   $0024
IO_DATA 	      EQU   $0028

NOITEM		      EQU   $003F
RP_JAM1 	      EQU   $0000
RP_COMPLEMENT	      EQU   $0002

ABNC		      EQU   $40
ANBC		      EQU   $20

***** Window *********
MENUSTATE	      EQU   $8000
MENUSTATEBIT	      EQU   7

***** Gadget *********
STRGADGET	      EQU   4

***** MENUITEMS *********
HIGHFLAGS	      EQU   $00C0
HIGHBOX 	      EQU   $0080
HIGHCOMP	      EQU   $0040
ITEMTEXT	      EQU   $0002

CHECKIT 	      EQU   $0001
CHECKED 	      EQU   $0100
COMMSEQ 	      EQU   $0004
ITEMENABLED	      EQU   $0010

ISDRAWN 	      EQU   $1000
ISDRAWNBIT	      EQU   $4
HIGHITEM	      EQU   $2000
HIGHITEMBIT	      EQU   $5

******* Menu **********
MENUTOGGLE	      EQU   $0008
MENUENABLED	      EQU   $0001

MIDRAWN 	      EQU   $0100
MIDRAWNBIT	      EQU   $1

***** MENUVERIFY *******
MENUHOT 	      EQU   $0001
MENUCANCEL	      EQU   $0002
MENUWAITING	      EQU   $0003

NT_MESSAGE	      EQU   $05
NT_MSGPORT	      EQU   $04

PA_SIGNAL	      EQU   $00

IND_ADDHANDLER	      EQU   $0009

IND_REMHANDLER	      EQU   $000A

MEMF_PUBLIC	      EQU   $00000001
MEMF_CLEAR	      EQU   $00010000

NEWOPTIONS	      EQU   $0000
GETOPTIONS	      EQU   $0001

DEFAULTOPTIONS	      EQU   $52
DEFAULTHOTKEY	      EQU   $19

SHOWSINGLEMENU	      EQU   0
SUBITEMPOINTER	      EQU   1
ITEMSCENTERED	      EQU   2
POPUPWITHQUAL	      EQU   3
POPUPNOQUAL	      EQU   4
CLICKMENUES	      EQU   5
OPENWINDOW	      EQU   6
EXIT		      EQU   7


	       STRUCTURE  WindowData,0
	       BOOL	  wwd_BitMapOk
	       BOOL	  wwd_ItemsEnabled
	       WORD	  wwd_LeftEdge
	       WORD	  wwd_TopEdge
	       WORD	  wwd_RightEdge
	       WORD	  wwd_Bottom
	       WORD	  wwd_Width
	       WORD	  wwd_Height
	       WORD	  wwd_TopValue
	       WORD	  wwd_LeftValue
	       APTR	  wwd_Items
	       APTR	  wwd_Current
	       STRUCT	  wwd_Bm,40
	       LABEL	  wwd_SIZEOF

	       STRUCTURE  WindowSize,0
	       WORD	  ws_Left
	       WORD	  ws_Top
	       WORD	  ws_Right
	       WORD	  ws_Bottom
	       LABEL	  ws_SIZEOF

	       STRUCTURE  SignalData,0
	       APTR	  sd_PopUpMenuTask
	       ULONG	  sd_MenuUpSig
	       ULONG	  sd_MenuDownSig
	       ULONG	  sd_MouseMovedSig
	       ULONG	  sd_SelectDownSig
	       ULONG	  sd_HotKeySig
	       BOOL	  sd_Down
	       WORD	  sd_EndQualifier
	       UBYTE	  sd_Options
	       UBYTE	  sd_HotKey
	       STRUCT	  sd_Semaphore,ss_SIZEOF
	       LABEL	  sd_SIZEOF

	       STRUCTURE  MenuSort,0
	       APTR	  ms_Next
	       APTR	  ms_MenuPtr
	       LABEL	  ms_SIZEOF


	       STRUCTURE  Globals,0
	       APTR	  _SysBase
	       STRUCT	  _SubWindow,wwd_SIZEOF
	       STRUCT	  _ItemWindow,wwd_SIZEOF
	       STRUCT	  _MenuWindow,wwd_SIZEOF
	       APTR	  _DOSBase
	       APTR	  _IntuitionBase
	       APTR	  _GfxBase
	       APTR	  _LayersBase
	       APTR	  _WBenchMsg
	       BOOL	  _Error
	       BYTE	  _Options
	       BYTE	  _HotKey
	       STRUCT	  _Size,ws_SIZEOF
	       APTR	  _TempItem
	       WORD	  _CurrentMenuNr
	       WORD	  _LastSelected
	       WORD	  _MenuFontSize
	       WORD	  _MouseX
	       WORD	  _MouseY
	       APTR	  _InputReqBlock
	       APTR	  _TimerReqBlock
	       APTR	  _TimerPort
	       LONG	  _TimerSignal
	       APTR	  _ReplyPort
	       APTR	  _Menues
	       STRUCT	  _SortRemember,rm_SIZEOF
	       STRUCT	  _MenuSorted,ms_SIZEOF
	       APTR	  _LastWindow
	       WORD	  _LastSelectedNum
	       APTR	  _Screen
	       BOOL	  _ScreenType
	       STRUCT	  _Rp,rp_SIZEOF
	       APTR	  _ActiveWindow
	       LABEL	  Globals_SIZEOF

